Package org.sonatype.maven.polyglot.execute

## Interface ExecuteContext

    public interface ExecuteContext

Provides context for `ExecuteTask`s.

Since:
  0.7
Author:
  Jason Dillon

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
`default java.io.File` `basedir()` Deprecated. Use `getBasedir()` instead
`default java.io.File` `getBasedir()` Returns the project base directory.
`org.apache.maven.plugin.logging.Log` `getLog()` Returns the log.
`org.apache.maven.project.MavenProject` `getProject()` Returns the maven project.
`org.apache.maven.execution.MavenSession` `getSession()` Returns the maven session.
`default org.apache.maven.plugin.logging.Log` `log()` Deprecated. Use `getLog()` instead

### Method Detail

#### getProject

    org.apache.maven.project.MavenProject getProject()

Returns the maven project.

#### getSession

    org.apache.maven.execution.MavenSession getSession()

Returns the maven session.

#### basedir

    @Deprecated
    default java.io.File basedir()

Deprecated.
Use `getBasedir()` instead
Returns the project base directory.

#### getBasedir

    default java.io.File getBasedir()

Returns the project base directory.

#### log

    @Deprecated
    default org.apache.maven.plugin.logging.Log log()

Deprecated.
Use `getLog()` instead
Returns the logger.

#### getLog

    org.apache.maven.plugin.logging.Log getLog()

Returns the log.